at
Prev | Chapter 4. Db_vector | Next

## at

### Function Details

    reference at(index_type n)

Index function.

#### Parameters

##### n

The valid index of the vector.

#### Return Value

The reference to the element at specified position, can act as both a left value and a right value.

#### See Also

http://www.cplusplus.com/reference/stl/vector/at.html

    const_reference at(index_type n) const

Read only index function.

Only used as a right value, no need for assignment capability. The return value can't be used to update the element.

#### Parameters

##### n

The valid index of the vector.

#### Return Value

The const reference to the element at specified position.

#### See Also

http://www.cplusplus.com/reference/stl/vector/at.html

### Group: Element access functions.

The operator[] and at() only come from std::vector and std::deque, If you are using db_vector as std::list, you don't have to set DB_RENUMBER flag to the backing database handle, and you get better performance, but at the same time you can't use these functions.

Otherwise if you have set the DB_RENUMBER flag to the backing database handle, you can use this function though it is an std::list equivalent.

### Class

db_vector

Prev | Up | Next
operator[] | Home | front